Module | PhusionPassenger::Rails3Extensions::AnalyticsLogging::ASBenchmarkableExtension
In: | lib/phusion_passenger/rails3_extensions/init.rb

### Methods

benchmark_with_passenger

### Public Instance methods

benchmark_with_passenger(message = "Benchmarking", *args) {|| ...}

[Source]

         # File lib/phusion_passenger/rails3_extensions/init.rb, line 189
    189:                 def benchmark_with_passenger(message = "Benchmarking", *args)
    190:                         log = Thread.current[PASSENGER_ANALYTICS_WEB_LOG]
    191:                         if log
    192:                                 log.measure("BENCHMARK: #{message}") do
    193:                                         benchmark_without_passenger(message, *args) do
    194:                                                 yield
    195:                                         end
    196:                                 end
    197:                         else
    198:                                 benchmark_without_passenger(message, *args) do
    199:                                         yield
    200:                                 end
    201:                         end
    202:                 end

[Validate]